import { IRoute } from '@/interfaces/IRoute.interface';
import { Router } from 'express';
import { CategoryController } from '@/controllers/category.controller';

export class CategoryRoute implements IRoute {
  public path = '/categories';
  public router = Router();
  private controller: CategoryController;

  constructor() {
    this.controller = new CategoryController();
    this.init();
  }

  private init() {
    this.router.get('/', this.controller.getCategories);
    this.router.post('/', this.controller.createCategory);
  }
}
