import { registerDecorator, ValidationOptions, ValidationArguments } from 'class-validator';
import { ProductDto } from '@/dto/product.dto';

export function IsTitleTV(property: string, validationOptions?: ValidationOptions) {
  return function (object: NonNullable<unknown>, propertyName: string) {
    registerDecorator({
      name: 'isTitleTv',
      target: object.constructor,
      propertyName: propertyName,
      constraints: [property],
      options: validationOptions,
      validator: {
        validate(value: string, args: ValidationArguments) {
          const [relatedPropertyName] = args.constraints;
          console.log(args.object);
          console.log(value);
          const relatedValue = (args.object as ProductDto)[relatedPropertyName as keyof ProductDto];
          return relatedValue !== 'TV'; // you can return a Promise<boolean> here as well, if you want to make async validation
        },
      },
    });
  };
}
